SynqedDocs
API referenceAuthentication

Inspect the current API key

Returns the workspace, region, permissions, and data access of the key making the request. Requires no permission — use it to verify a key.

GET
/me

Returns the workspace, region, permissions, and data access of the key making the request. Requires no permission — use it to verify a key.

Authorization

bearerAuth
headerAuthorizationBearer <sk_live_<region>_<secret>>

Response Body

Success

application/json
  1. response
object*string
id*string
name*string
workspace_id*string
region*string
Value in"us""eu"
permissions*array<string>
access*
agent_id*string

The principal id this key acts as (messages, activity).

Example Request
curl -X GET 'https://api.synqed.dev/v1/me'
Example Response
{  "object": "api_key",  "id": "string",  "name": "string",  "workspace_id": "string",  "region": "us",  "permissions": [    "string"  ],  "access": {    "visibility": "workspace",    "groups": [      "string"    ],    "sources": [      "string"    ]  },  "agent_id": "string"}